    PROGRAM x05abfe

!      X05ABF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : x05abf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       CHARACTER (30)                  :: ctime
!      .. Local Arrays ..
       INTEGER                         :: itime(7)
!      .. Executable Statements ..
       WRITE (nout,*) 'X05ABF Example Program Results'

!      Skip heading in data file
       READ (nin,*)

       READ (nin,*) itime

       ctime = x05abf(itime)

       WRITE (nout,99999) ctime

99999  FORMAT (1X,A)
    END PROGRAM x05abfe
